---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Merge-ModuleRoot

## SYNOPSIS
Merges single ps1 files into one module script file.

## SYNTAX

```
Merge-ModuleRoot [<CommonParameters>]
```

## DESCRIPTION
This Cmdlet is used in build pipeline to reduce the file load and import performance to the target module.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; Merge-ModuleRoot
```

## PARAMETERS

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [None] No pipeline output.
## NOTES

## RELATED LINKS
