---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Test-FileEOF

## SYNOPSIS
Returns false if EOF isn't an empty line.

## SYNTAX

```
Test-FileEOF [-Path] <String> [<CommonParameters>]
```

## DESCRIPTION
Test the given file against the EOF standard (final empty/blank line + CRLF) and returns true or false.

## EXAMPLES

### EXAMPLE 1
```
Test-FileEOF -Path './testfile.txt'
```

## PARAMETERS

### -Path
Relative or full path to an existing file.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [none]
## OUTPUTS

### [bool]
## NOTES

## RELATED LINKS
