---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Test-FileEncoding

## SYNOPSIS
Returns true if the given file is written in a valid encoding

## SYNTAX

```
Test-FileEncoding [-Path] <String> [[-Encoding] <String>] [<CommonParameters>]
```

## DESCRIPTION
Test the given file against the encoding regex and returns true or false

## EXAMPLES

### EXAMPLE 1
```
Test-FileEncoding -Path './testfile.txt'
```

## PARAMETERS

### -Encoding
Optional custom encoding regex string.
Default is (utf8|ascii|xml).

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: (utf8|utf-8|ascii|xml)
Accept pipeline input: False
Accept wildcard characters: False
```

### -Path
Relative or full path to an existing file.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [none]
## OUTPUTS

### [bool]
## NOTES

## RELATED LINKS
